<?php
/**
 * The First Section for our theme.
 *
 * Display all information related to First section
 *
 * @package Healing Lite
*/

$heal_hide_intro = get_theme_mod('heal_hide_intro', '1');

if($heal_hide_intro  == '') {

	$heal_intro_more = get_theme_mod('intro_more');
	if( !empty( $heal_intro_more ) ){
	  $shwheal_intro_more .= '<div class="read-more"><a href="'.get_the_permalink().'">'.$heal_intro_more.'</a></div>';
	}
	$heal_fsecttl = get_theme_mod('heal_intro_ttl');
	if( !empty( $heal_fsecttl ) ){
	  $shwheal_fsec_ttl .= '<h4 class="section_sub_title">'.$heal_fsecttl.'</h4>';
	}

	echo '<section class="introduction"><div class="container"><div class="intro-box"><div class="flex-box">';
	if(get_theme_mod('heal_intro') != '') {
		$intro_query = new WP_Query(array('page_id' => get_theme_mod('heal_intro')));

		while( $intro_query->have_posts() ) : $intro_query->the_post();
			if( has_post_thumbnail() ) {
				$src = wp_get_attachment_image_src( get_post_thumbnail_id($post_id), 'full' );
				$url = $src[0];
				$image_id = get_post_thumbnail_id();
				$image_alt = get_post_meta($image_id, '_wp_attachment_image_alt', true);
			  echo '<div class="thumb"><img src="'.$url.'" alt="'.$image_alt.'"></div><!-- thumb -->';
			}
			echo '<div class="intro-content"><div class="section_head">'.$shwheal_fsec_ttl.'<h2 class="section_title">'.get_the_title().'</h2></div><p>'.get_the_excerpt().'</p>'.$shwheal_intro_more.'</div>';
		endwhile;
	}
	echo '</div></div></div></section>';
}