<?php
/**
 * The Features Section for our theme.
 *
 * Display all information related to features section
 *
 * @package Healing Lite
*/

$healhidefeat = get_theme_mod( 'heal_hide_feat','1' );

if( $healhidefeat == '' ){
    echo '<section class="features-section"><div class="container">';
 
    $heal_featttl = get_theme_mod('featsec_ttl');
    if( !empty( $heal_featttl ) ){
      echo '<div class="section_head"><h2 class="section_title">'.$heal_featttl.'<span><i class="fa fa-heartbeat" aria-hidden="true"></i></span></h2></div>';
    }

    $heal_feat_more = get_theme_mod('feat_more');
	if( !empty( $heal_feat_more ) ){
	  $shwheal_feat_more .= '<div class="read-more"><a href="'.get_the_permalink().'">'.$heal_feat_more.'</a></div>';
	}

        echo '<div class="flex-box">';
            for( $feat = 1; $feat<4; $feat++ ){
                if( get_theme_mod( 'feat'.$feat,true ) !='' ){
                    $featquery = new WP_Query( array( 'page_id' => get_theme_mod( 'feat'.$feat ) ) );
                    while( $featquery->have_posts() ) : $featquery->the_post();
                        $shwthumb = wp_get_attachment_image_src( get_post_thumbnail_id(), 'full');
                        $image_id = get_post_thumbnail_id();
                        $image_alt = get_post_meta($image_id, '_wp_attachment_image_alt', true);
                        echo '<div class="col"><div class="welcome-box">';
                            if( has_post_thumbnail() ) {
                              echo '<div class="wel-image"><img src="'.$shwthumb[0].'" alt="'.$image_alt.'"/><div class="wel-mask"></div></div><!-- feature box thumb -->';
                            }
                            echo '<div class="wel-content"><div class="weltxt-inner"><h2>'.get_the_title().'</h2>'.$shwheal_feat_more.'</div></div>';
                        echo '</div></div>';
                    endwhile; wp_reset_postdata();
                }
            }
    echo '</div></div></section>';
}